package com.chinaitop.depot.api.service;

import com.chinaitop.depot.api.model.TDcsdata;
import com.chinaitop.depot.api.model.TQtdevinfoValue;

import java.util.List;

public interface GasDetectionService {
    /**
     * 根据id查询气体数据
     *
     * @return
     */
    TDcsdata getById(String id);

    //批量插入气体检测信息
    void insertBatch(List<TDcsdata> tDcsdata);

    //测气计算结果批量插入
    void insertValueBatch(List<TQtdevinfoValue> tQtdevinfoValues);
}
