package com;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;

@EnableEurekaClient
@SpringBootApplication
@MapperScan(basePackages = {"com.chinaitop.depot.api.mapper"})
public class DepotApiApplication {

	public static void main(String[] args) {
		SpringApplication.run(DepotApiApplication.class, args);
	}

}
