package com.chinaitop.depot.api.service;

import com.chinaitop.depot.api.model.TCcdata;
import com.chinaitop.depot.api.model.TCcvalue;

import java.util.Date;
import java.util.List;

public interface InsectPestDetectionService {
    //根据设备code和时间查询虫害检测数据
    List<TCcdata> getByCodeAndTimes(List<String> cDcsCodes, List<Date> cTimes, List<Integer> tdhs);

    TCcdata getById(String id);

    //批量添加检测虫害数据
    void insertBatch(List<TCcdata> tCcdata);

    void insertValueBatch(List<TCcvalue> tCcvalue);
}
