package com.chinaitop.depot.api.service.impl;

import com.chinaitop.depot.api.mapper.qualitycheck.TStorageQualitycheckMapper;
import com.chinaitop.depot.api.mapper.qualitycheck.TStorageQualitycheckSonMapper;
import com.chinaitop.depot.api.model.qualitycheck.TStorageQualitycheck;
import com.chinaitop.depot.api.model.qualitycheck.TStorageQualitycheckExample;
import com.chinaitop.depot.api.model.qualitycheck.TStorageQualitycheckSon;
import com.chinaitop.depot.api.model.qualitycheck.TStorageQualitycheckSonExample;
import com.chinaitop.depot.api.service.TStorageQualitycheckService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class TStorageQualitycheckServiceImpl implements TStorageQualitycheckService {

	@Resource
	private TStorageQualitycheckMapper qualitycheckMapper;
	@Resource
	private TStorageQualitycheckSonMapper storageQualitycheckSonMapper;
    


	// 保存数据
	@Override
	public Integer save(TStorageQualitycheck qualitycheck) {
        Integer qualityCheckId=0;
		if (qualitycheck.getId() == null) {
			int a = qualitycheckMapper.insertSelective(qualitycheck);// 新增数据
            //如果验收，把页面验收隐藏
            if("1".equals(qualitycheck.getType())){
                qualitycheckMapper.updateByFlagType(qualitycheck);
            }
            if(a>0){
                qualityCheckId = qualitycheck.getId();
            }
        } else {
            int a = qualitycheckMapper.updateByPrimaryKeySelective(qualitycheck);// 修改数据
            if(a>0){
                qualityCheckId = qualitycheck.getId();
            }
		}
		return qualityCheckId;
	}

	// 保存字表数据
	@Override
	public void saveOne(TStorageQualitycheckSon qualitycheckone) {
	    if(qualitycheckone.getId() == null){
            int a = storageQualitycheckSonMapper.insertSelective(qualitycheckone);// 新增数据
        } else {
            int a = storageQualitycheckSonMapper.updateByPrimaryKeySelective(qualitycheckone);//修改数据
        }
	}




}